﻿public class FastAnimalLooting : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "com.raftmodding.mods.fast-animal-looting";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(AI_StateMachine_Animal), "EnablePickup")]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_AIStateMachineAnimal_EnablePickup
    {
        static void Postfix(ref AI_NetworkBehaviour_Animal ___networkBehaviour)
        {
            ___networkBehaviour.pickupItemChanneling.pickupTime = 0f;
        }
    }
    [HarmonyLib.HarmonyPatch(typeof(Seagull), "SwitchState", new System.Type[] { typeof(SeagullState) })]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_Seagull_SwitchState
    {
        static void Postfix(ref PickupChanneling ___pickupItemChanneling, ref SeagullState newState)
        {
            ___pickupItemChanneling.pickupTime = 0f;
        }
    }
    [HarmonyLib.HarmonyPatch(typeof(AI_State_Decay_Shark), "EnterState")]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_AIStateDecayShark_EnterState
    {
        static void Postfix(ref AI_StateMachine_Shark ___stateMachineShark)
        {
            ___stateMachineShark.networkBehaviour.pickupItemChanneling.pickupTime = 0f;
        }
    }
    [HarmonyLib.HarmonyPatch(typeof(AI_State_Dead_Shark), "EnterState")]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_AIStateDeadShark_EnterState
    {
        static void Postfix(ref AI_StateMachine_Shark ___sharkStateMachine)
        {
            ___sharkStateMachine.networkBehaviour.pickupItemChanneling.pickupTime = 0f;
        }
    }
}
